# Inventory tool for D120

## Planned: 
 - Webinterface using SQL to map inventory
 - OAuth as Authenticator to restrict access
 - pack it with Docker to ship and maintain it easier

## Current State
 - Frontpage created

## Features

### Extern
 - Ausleihkatalog ansehen
 - Verfügbarkeit abfragen
   - ggfs. ab wann Verfügbar
   - bis wann kann ausgeliehen werden

### Intern
 - Inventur durchführen
 - Gegenstand suchen, Lagerort ausgeben
 - Gegenstand einlagern
 - Gegenstand auslagern
 - Gegenstand Lagerort anpassen/ändern
 - Gegenstand verleihen
 - verliehenen Gegenstand wieder entgegennehmen
 - Mängel vermerken
 - Details zu Gegenstand abfragen
   - gelagerte Anzahl, Mängel, Leihstatus, geplante Buchungen

### Abbildung des Inventars
 - Jeder Lagerraum, jedes Regal, jedes Fach und jeder Gegenstand ist eine Tabelle
 - Lagerraum:
   - Regale/Schränke mit NamensID
   - Kategorie Regal oder Schrank
   - Ort (Raumnummer)
 - Regal:
   - Fächer mit NamensID
   - Kategorie der Fächer
   - Gegenstände
   - Anzahl Gegenstände
   - Verliehen [ja,nein]
   - Reservierung vorhanden [ja,nein]
 - Gegenstände:
   - Name
   - Lagerort Regal
   - Lagerort Raum
   - Anzahl
   - Verleihstatus

## Aufbau des Webinterfaces

---

## Inventur: Ablauf

#### Test User
 - Name: inventory
 - PW: password

 - Database: Inventory

#### PHP Testserver
 - php -S localhost:8000
